<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\InteractiveResponseMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class NativeFlowResponseMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $name = null;
    


    protected $paramsJson = null;
    


    protected $version = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getParamsJson()
    {
        return isset($this->paramsJson) ? $this->paramsJson : '';
    }

    public function hasParamsJson()
    {
        return isset($this->paramsJson);
    }

    public function clearParamsJson()
    {
        unset($this->paramsJson);
    }

    




    public function setParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->paramsJson = $var;

        return $this;
    }

    



    public function getVersion()
    {
        return isset($this->version) ? $this->version : 0;
    }

    public function hasVersion()
    {
        return isset($this->version);
    }

    public function clearVersion()
    {
        unset($this->version);
    }

    




    public function setVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->version = $var;

        return $this;
    }

}

